/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    RobotAPI
 * @author     Thomas von der Heyde <tvh242 at hotmail dot com>
 * @copyright  2014
 * @license    http://www.gnu.org/licenses/gpl.txt
 *             GNU General Public License
 */

#ifndef _ARMARX_ROBOTAPI_SELFLOCALISATION_SELFLOCALISATIONPROCESS_SLICE_
#define _ARMARX_ROBOTAPI_SELFLOCALISATION_SELFLOCALISATIONPROCESS_SLICE_

module armarx
{
    interface SelfLocalisationProcessInterface
    {
        void startSelfLocalisationProcess();
        void stopSelfLocalisationProcess();
    };
};

#endif
